apt: debStringPackageIndex Class Reference

apt 2.7.5 commandline package manager

Public Member Functions | Protected Member Functions | List of all members
debStringPackageIndex Class Reference
Inheritance diagram for debStringPackageIndex:

## Public Member Functions
virtual const Type * | GetType () const APT_OVERRIDE APT_PURE
virtual bool | HasPackages () const APT_OVERRIDE
virtual bool | Exists () const APT_OVERRIDE
| debStringPackageIndex (std::string const &content)
Public Member Functions inherited from pkgDebianIndexRealFile
virtual std::string | Describe (bool const =false) const APT_OVERRIDE
virtual unsigned long | Size () const APT_OVERRIDE
virtual std::string | ArchiveURI (std::string const &) const APT_OVERRIDE
| pkgDebianIndexRealFile (std::string const &File, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
virtual bool | Merge (pkgCacheGenerator &Gen, OpProgress *const Prog) APT_OVERRIDE
virtual pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const APT_OVERRIDE
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
virtual std::string | GetArchitecture () const APT_OVERRIDE
virtual std::string | GetComponent () const APT_OVERRIDE
virtual uint8_t | GetIndexFlags () const APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexRealFile
virtual std::string | IndexFileName () const APT_OVERRIDE
virtual std::string | GetProgressDescription () const APT_OVERRIDE
virtual bool | OpenListFile (FileFd &Pkg, std::string const &FileName) APT_OVERRIDE
Protected Member Functions inherited from pkgDebianIndexFile
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgDebianIndexRealFile
std::string | File
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ Exists()

virtual bool Exists | ( |  | ) | const
| inlinevirtual

Reimplemented from pkgDebianIndexRealFile.

## ◆ GetArchitecture()

std::string GetArchitecture | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetComponent()

std::string GetComponent | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetIndexFlags()

uint8_t GetIndexFlags | ( |  | ) | const
| protectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const
| virtual

Implements pkgIndexFile.

## ◆ HasPackages()

virtual bool HasPackages | ( |  | ) | const
| inlinevirtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc